<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Events</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  </head>
    </head>
    <body>
        {% include 'layout/navbar.html' %}

        <div class="container">
            {% for event in events %}
                <div class="card text-center mt-3 bg-dark" data-bs-theme="dark">
                    <div class="card-header text-light">
                        <strong>{{event.title}} - {{event.date}}</strong>
                    </div>
                    <div class="card-body">
                        <p class="card-text text-light">{{event.description}}</p>
                        
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                            Réserver
                        </button>
                          
                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="exampleModalLabel">Confirmation de la reservation</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Annuler</button>
                                        <button type="button" class="btn btn-primary" onclick="createReservation('{{ event.id }}')">Confirmer</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>

        {% csrf_token %}

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
    
        <script>
            // Send fetch request to create Reservation and refresh the page
            function createReservation(event_id) {
                var csrftoken = '{{ csrf_token }}';

                fetch('/reservations/' + event_id,  {
                    method: 'POST',
                    headers: {'X-CSRFTOKEN': csrftoken}
                })
                .then((response) => {
                    if (response.ok) {
                        location.reload()
                    }
                    throw new Error('Something went wrong');
                })
                .catch((error) => {
                    console.log(error)
                });   
            }
        </script>
    </body>
</html>